%global docdir isl-%{version}

Name:           isl
Version:        0.24 
Release:        1%{?dist}
Summary:        Integer point manipulation library 

License:        MIT
URL:            http://isl.gforge.inria.fr/ 
Source0:        https://gcc.gnu.org/pub/gcc/infrastructure/isl-%{version}.tar.bz2

BuildRequires:  gcc gmp-devel pkgconfig make

%description
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints.  Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing the lexicographic
minimum using parametric integer programming, coalescing and parametric
vertex enumeration.  It also includes an ILP solver based on generalized
basis reduction, transitive closures on maps (which may encode infinite
graphs), dependence analysis and bounds on piecewise step-polynomials.

%package devel
Summary: Development for building integer point manipulation library
Requires: isl%{?_isa} == %{version}-%{release}
Requires: gmp-devel%{?_isa}
 
%description devel
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints.  Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing the lexicographic
minimum using parametric integer programming, coalescing and parametric
vertex enumeration.  It also includes an ILP solver based on generalized
basis reduction, transitive closures on maps (which may encode infinite
graphs), dependence analysis and bounds on piecewise step-polynomials.

%prep
%autosetup


%build
%configure
%make_build CFLAGS="$CFLAGS -fPIC"


%install
rm -rf $RPM_BUILD_ROOT
%make_install

rm -f %{buildroot}/%{_libdir}/libisl.{a,la}

mkdir -p $RPM_BUILD_ROOT/usr/share/doc/isl/ $RPM_BUILD_ROOT/usr/share/licenses/isl/
cp AUTHORS ChangeLog README $RPM_BUILD_ROOT/usr/share/doc/isl/
cp LICENSE $RPM_BUILD_ROOT/usr/share/licenses/isl/

mkdir -p $RPM_BUILD_ROOT/usr/share/doc/isl-devel/
cp doc/manual.pdf $RPM_BUILD_ROOT/usr/share/doc/isl-devel/


%ldconfig_scriptlets


%files
%license %{docdir}/LICENSE 
%doc %{docdir}/AUTHORS %{docdir}/ChangeLog %{docdir}/README
%{_libdir}/libisl.so.*

%files devel
%{_includedir}/*
%{_libdir}/libisl.so
%{_libdir}/pkgconfig/isl.pc
%doc %{docdir}/doc/manual.pdf


%changelog
* Fri Mar 18 2022 forrest_ly <flin@linux.alibaba.com> - 0.24-1
- Init for Anolis OS 23 
